#ifndef SRC_FRICTION_WRITER_HH
#define SRC_FRICTION_WRITER_HH

#include <fstream>
#include <string>

#include <dune/common/bitsetvector.hh>

#include "boundary_writer.hh"

template <class ScalarVector, class Vector>
class FrictionWriter : public BoundaryWriter<ScalarVector, Vector> {
  using BW = BoundaryWriter<ScalarVector, Vector>;

public:
  FrictionWriter(Vector const &vertexCoordinates,
                 Dune::BitSetVector<1> const &_boundaryNodes,
                 std::string prefix, typename BW::Projector projector);

  ~FrictionWriter();

  void writeOther(ScalarVector const &coefficient, ScalarVector const &alpha);

private:
  std::fstream coefficientWriter;
  std::fstream stateWriter;
  using BW::boundaryNodes;
};

#endif
